CreateMode (ZooKeeper 3.4.10 API)
Date: 2017-03-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.zookeeper
Enum CreateMode

    java.lang.Object
      java.lang.Enum<CreateMode>
          org.apache.zookeeper.CreateMode

All Implemented Interfaces:
  Serializable, Comparable<CreateMode>

    public enum CreateMode

extends Enum<CreateMode>

CreateMode value determines how the znode is created on ZooKeeper.

Enum Constant Summary
`EPHEMERAL` The znode will be deleted upon the client's disconnect.
`EPHEMERAL_SEQUENTIAL` The znode will be deleted upon the client's disconnect, and its name will be appended with a monotonically increasing number.
`PERSISTENT` The znode will not be automatically deleted upon client's disconnect.
`PERSISTENT_SEQUENTIAL` The znode will not be automatically deleted upon client's disconnect, and its name will be appended with a monotonically increasing number.

Method Summary
`static CreateMode` | `fromFlag(int flag)` Map an integer value to a CreateMode value
`boolean` | `isEphemeral()`
`boolean` | `isSequential()`
`int` | `toFlag()`
`static CreateMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CreateMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PERSISTENT

    public static final CreateMode PERSISTENT

  The znode will not be automatically deleted upon client's disconnect.

### PERSISTENT_SEQUENTIAL

    public static final CreateMode PERSISTENT_SEQUENTIAL

  The znode will not be automatically deleted upon client's disconnect, and its name will be appended with a monotonically increasing number.

### EPHEMERAL

    public static final CreateMode EPHEMERAL

  The znode will be deleted upon the client's disconnect.

### EPHEMERAL_SEQUENTIAL

    public static final CreateMode EPHEMERAL_SEQUENTIAL

  The znode will be deleted upon the client's disconnect, and its name will be appended with a monotonically increasing number.

Method Detail

### values

    public static CreateMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CreateMode c : CreateMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CreateMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isEphemeral

    public boolean isEphemeral()

### isSequential

    public boolean isSequential()

### toFlag

    public int toFlag()

### fromFlag

    public static CreateMode fromFlag(int flag)
                               throws KeeperException

  Map an integer value to a CreateMode value

  Throws:
    `KeeperException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2017 The Apache Software Foundation